Dimensiune Unghiulară TechDraw

From FreeCAD Documentation
Revision as of 20:09, 3 January 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

TechDraw Dimension Angle

Menu location
TechDraw → Dimension Angle
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Descriere

Instrumentul pentru cote unghiulare adaugă o cotă unghiulară unei imagini. Cota poate fi unghi interior, și între oricare două segment ede line draptă care formează muchii. Unghiul va fi inițial unghiul proiectat(adică așa cum este reprezentată în desen), dar aceast unghi poate fi înlocuit prin unghiul 3D real utilizând instrumentul Link Dimension .

The Dimension Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

Measuring the angle between two straight lines

Cum se folosește

  1. Selectați punctele sau muchiile care definesc măsurarea dvs.
  2. Apăsați butonul File:Dimension Angle.png Dimension Angle
  3. O cotă va fi adăugată la View. Cota poate fi glisată în poziția dorită.
  1. Select the points or edge which define your measurement.
  2. Press the File:Dimension Angle.png Dimension Angle button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Proprietăți

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Script

Cotele tip unghi pot fi adăugate la Pages utilizând Python.

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Angle tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)